## ros-humble-launch-testing-ros 0.19.7

=== debian/changelog ===
ros-humble-launch-testing-ros (0.19.7-2bookworm) bookworm; urgency=high

  * WaitForTopics: get content of messages for each topic (backport #353 <https://github.com/ros2/launch_ros/issues/353>) (#389 <https://github.com/ros2/launch_ros/issues/389>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-launch-testing-ros (0.19.6-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-launch-testing-ros (0.19.5-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Sun, 16 Jul 2023 16:00:00 -0000

ros-humble-launch-testing-ros (0.19.4-2bookworm) bookworm; urgency=high

  * Inherit markers from generate_test_description (#330 <https://github.com/ros2/launch_ros/issues/330>) (#332 <https://github.com/ros2/launch_ros/issues/332>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-launch-testing-ros (0.19.3-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 16 May 2022 16:00:00 -0000

ros-humble-launch-testing-ros (0.19.2-2bookworm) bookworm; urgency=high

  * Add hz param to talker.py to fix wait_for_topic_launch_test (#309 <https://github.com/ros2/launch_ros/issues/309>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-launch-testing-ros (0.19.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-launch-testing-ros (0.19.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Wed, 23 Mar 2022 16:00:00 -0000

ros-humble-launch-testing-ros (0.18.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-launch-testing-ros (0.17.0-2bookworm) bookworm; urgency=high

  * Revert WaitForTopics (#288 <https://github.com/ros2/launch_ros/issues/288>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 13 Dec 2021 16:00:00 -0000

ros-humble-launch-testing-ros (0.16.0-2bookworm) bookworm; urgency=high

  * Update maintainers in setup.py (#287 <https://github.com/ros2/launch_ros/issues/287>)
  * Move pytest entrypoints to own module (#278 <https://github.com/ros2/launch_ros/issues/278>)
  * Update package maintainers (#284 <https://github.com/ros2/launch_ros/issues/284>)
  * Check that future is done, and always call rclpy.shutdown (#273 <https://github.com/ros2/launch_ros/issues/273>)
  * Revert "launch testing : Wait for topics to publish (#274 <https://github.com/ros2/launch_ros/issues/274>)" (#276 <https://github.com/ros2/launch_ros/issues/276>)
  * Contributors: Audrow Nash, Jorge Perez, Michel Hidalgo, Shane Loretz

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Sun, 28 Nov 2021 16:00:00 -0000

ros-humble-launch-testing-ros (0.15.0-2bookworm) bookworm; urgency=high

  * Add WaitForTopics utility for waiting on publishers (#274 <https://github.com/ros2/launch_ros/issues/274>)
  * Remove unused code, Future.result() already raises (#270 <https://github.com/ros2/launch_ros/issues/270>)
  * Add timeout to wait for service response in example (#271 <https://github.com/ros2/launch_ros/issues/271>)
  * Add examples (#263 <https://github.com/ros2/launch_ros/issues/263>)
  * Contributors: Aditya Pande, Shane Loretz

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Wed, 06 Oct 2021 16:00:00 -0000

ros-humble-launch-testing-ros (0.14.2-2bookworm) bookworm; urgency=high

  * Use underscores in setup.cfg instead of dashes. (#227 <https://github.com/ros2/launch_ros/issues/227>)
  * Contributors: Mike Purvis

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-humble-launch-testing-ros (0.14.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Sun, 11 Apr 2021 16:00:00 -0000

ros-humble-launch-testing-ros (0.14.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-launch-testing-ros (0.13.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-launch-testing-ros (0.12.0-2bookworm) bookworm; urgency=high

  * Merge pull request #183 <https://github.com/ros2/launch_ros/issues/183> from ros2/update-maintainers
  * Move Pete to author, per clalancette
  * Update the package.xml files with the latest Open Robotics maintainers
  * Add pytest.ini so local tests don't display warning (#152 <https://github.com/ros2/launch_ros/issues/152>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-launch-testing-ros (0.10.2-2bookworm) bookworm; urgency=high

  * Call LaunchROSTestModule with the new API. (#150 <https://github.com/ros2/launch_ros/issues/150>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 25 May 2020 16:00:00 -0000

ros-humble-launch-testing-ros (0.10.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 12 May 2020 16:00:00 -0000

ros-humble-launch-testing-ros (0.10.0-2bookworm) bookworm; urgency=high

  * Deprecated 'node_executable' parameter and replace with 'executable' (#140 <https://github.com/ros2/launch_ros/issues/140>)
  * Avoid deprecation warning, use from_parent (#141 <https://github.com/ros2/launch_ros/issues/141>)
  * Show error strings as part of the flake8 test (#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Remove unused 'launch' import (#133 <https://github.com/ros2/launch_ros/issues/133>)

