=== debian/control ===
Source: ros-humble-launch-testing-ros
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-humble-ament-copyright <!nocheck>, ros-humble-ament-flake8 <!nocheck>, ros-humble-ament-pep257 <!nocheck>, ros-humble-std-msgs <!nocheck>, ros-humble-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-launch-testing-ros
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-humble-launch-ros, ros-humble-launch-testing, ros-humble-rclpy, ros-humble-ros-workspace
Description: A package providing utilities for writing ROS2 enabled launch tests.
